/*
	QEAE.h for C and Rez
		Type declarations of Apple events
			defined in QuoEdit version 0.5
				June, 1999

	Copyright Lyomei Sakai 1996-1999 All rights reserved.
*/



/* suite code, event class */
#define kAEQuoEdit		'QEdt'
#define kAEMyMiscellaneous	'Misc'


/* event IDs */
#define kAEDoCopy		'Copy'
//#define kAEAliasOfCopy	'Copy'
#define kAEInsert		'insr'
#define kAEFind			'Find'
#define kAESearch		'Sear'	// since 0.47
#define kAESearchNextFile	'SNxF'	// since 0.48
#define kAEReplaceSelection	'Rep '
#define kAEReplaceAll		'RepA'
#define kAEArrangeWindows	'ArWn'
#define kAEPrevWindow		'PrWn'
#define kAENextWindow		'NxWn'
#define kAESpeak		'spk '
#define kAEDoKeyAction		'KeyA'
#define kAEJumpTo		'JmpT'
#define kAEGoToMatch		'goMt'	// since 0.48
#define kAETransliterate	'Trl '
#define kAEGetProperties	'GPrs'	// since 0.5
#define kAESetProperties	'SPrs'	// not supported yet


/* keywords, types */
#define keyRemember		'Remb'
#define keyWithDialogBox	'wDBx'
#define keyAsStationery		'AsSt'	// since 0.45
#define keyWithStylInfo		'wStl'	// since 0.44 (new name of keyWithStyle)
#define keyFindDirection	'fDir'
#define typeFindDirection	'fDir'	// (typeEnumerated)
#define keyExtendSelection	'ExS '
#define keySelectDest		'SDst'
#define keySearchString		'SStr'	// since 0.47
#define keyReplaceString	'RStr'	// since 0.47
#define keyCaseSensitive	'kCSv'	// since 0.47
#define keyEntireWord		'kEWd'	// since 0.47
#define keyGrep			'kGrp'	// since 0.47
#define keyDesiredSearchLevel	'SLev'	// since 0.47
#define typeDesiredSearchLevel	'SLev'	// since 0.47 (typeEnumerated)
#define keyShowResult		'ShRs'	// since 0.47
#define keyScriptCode		'ScpC'	// since 0.47
#define keyStacking		'Stac'
#define typeUpOrDown		'UpDn'	// (typeEnumerated)
#define keyIgnoreNoUSErr	'INSE'
#define keyKeepInMemory		'KpMm'
#define keyTlTargetFormat	'TlTf'
#define keyTlTargetModifier	'TlTM'
#define keyTlSourceMask		'TlSM'
#define typeTlSubscript		'TlSM'	// (typeEnumerated)
#define typeTlTargetModifier	'TlTM'	// (typeEnumerated)
#define typeKeyKind		'KKin'	// (typeEnumerated)
#define keyModifierKeys		'ModK'
#define typeModifierKeys	'ModK'	// (typeEnumerated)
#define keyTimes		'Tims'
#define typeRelationalTextLoc	'RTxL'	// (typeEnumerated)
#define keyForcing		'Frcn'	// since 0.46
//#define typeYesOrNo		'YorN'	// obsolete (but QuoEdit still accepts kAEYes/kAENo for a while)
//#define typeTlTargetFormat	'TlTf'	// --> typeTlSubscript ('TlSM')
//#define typeTlSourceMask	'TlSM'	// --> typeTlSubscript ('TlSM')
#define keySelector		'kSel'
#define typePrintRecord		'PREC'	// since 0.5

/* classes */
#define cByte			'byt '
#define cDocumentProps		'dPrp'	// (just to reduce 'aete' code)
#define cBatchFindResult	'BFRs'	// since 0.47 (human name would be "batch found")
#define cBFHitsGroup		'bfHG'	// since 0.48
#define cBFHit			'bfHt'	// since 0.48
#define cPrintRecord		'PREC'	// since 0.5 (not defined in the 'aete')


/* properties */
#define pInverted		'pInv'
#define pMeshed			'pMsh'
#define pShowLocation		'pShL'
#define pShowCode		'pShC'
#define pShowReturns		'pShR'
#define pShowTabs		'pShT'
#define pBoldCaret		'pBCr'
#define pLocInfoKind		'pLIK'
#define pTurningWindow		'pTPt'
#define pAutoIndent		'pAIn'
#define pIntelCutPaste		'pICP'
#define pRememberSelection	'pRSl'
#define pTSMAware		'pTSM'
#define pUseNavigation		'pUNv'	// since 0.45
#define pCaretSpeed		'pCSp'
#define pUndoLevels		'pUdL'
#define pSearchString		'pSSt'
#define pReplaceString		'pRSt'
#define pCaseSensitive		'pCSv'
#define pEntireWord		'pEWd'
#define pGrep			'pGrp'
#define pSpeaking		'pSpn'
#define pPausing		'pPau'
#define pCurrentFolder		'pCuF'	// since 0.44
#define pDialogBoxOpen		'pDBO'
#define pCanSearchNext		'pcSN'	// since 0.48
#define pFontID			'pfid'
#define pLeading		'plht'
#define pTabWidth		'pTbW'
#define pPositio		'ppos'	// obsolete in dictionary but still handled internally (QuoEdit now gets pPosition 'posn' from FinderRegistry.h and FinderRegistry.r.)
#define pBoundsSize		'pBSz'
#define pLineWrapping		'pLWr'	// not supported yet
#define pLineWidth		'pLWd'	// not supported yet
#define pLineLength		'pLLn'	// not supported yet
#define pPrintHeader		'pPrH'
#define pPrintFooter		'pPrF'
#define pPrintReturns		'pPrR'
#define pPrintTabs		'pPrT'
#define pSaveStyl		'pSst'	// since 0.45
#define pSavePageSetup		'pSPS'
#define pPrintRecord		'pPRc'	// since 0.5
#define pEntry			'pEnt'	// since 0.48
#define pIsPropsModified	'iPMd'
#define pActiveEndOfSelection	'ActE'	// since 0.5
#define pByteLength		'blen'	// since 0.5; pLength is now number of characters (since 0.5)
#define pByteOffset		'bofs'	// since 0.5
#define pOffset			'ofse'	// now defined as "offset by character" (since 0.5) according to the Scriptable Text Editor
#define pParagraphPosition	'prPs'	// since 0.48
#define pLinePosition		'lnPs'	// since 0.48
#define pCharacterCode		'pCCd'
#define pHowManyChars		'pHMC'
#define pHowManyWords		'pHMW'
#define pHowManyLines		'pHML'
#define pHowManyParas		'pHMP'
#define pHitContainer		'HCtn'	// since 0.5 (in 0.48, used pContainer in Finder's header)
#define pContainerClass		'CnCl'	// since 0.48
#define pContainerName		'CnNm'	// since 0.48
#define pMatchString		'MtSt'	// since 0.48
#define pHowManyHitsGroups	'pHMG'	// since 0.48
#define pHowManyHits		'pHMH'	// since 0.48


/* enumerations */
#define kAEForward		'Fw  '
#define kAEBackward		'Bw  '
#define kAEOne			'One '	// since 0.47
#define kAEEachOne		'eOne'	// since 0.47
#define kAEUpward		'Up  '
#define kAEDownward		'Down'
#define kAELeftArrow		'LArK'
#define kAERightArrow		'RArK'
#define kAEDownArrow		'DArK'
#define kAEUpArrow		'UArK'
#define kAEBSKey		'BS K'
#define kAEFwdDelKey		'FD K'
#define kAETabKey		'TabK'
#define kAEReturnKey		'CR K'
#define kAEEnterKey		'EntK'
#define kAEHomeKey		'HomK'	// since 0.48
#define kAEEndKey		'EndK'	// since 0.48
#define kAEPageUpKey		'PU K'	// since 0.48
#define kAEPageDownKey		'PD K'	// since 0.48
#define kAEShiftKey		'ShfK'
#define kAEOptionKey		'OptK'
#define kAECommandKey		'CmdK'
#define kAEControlKey		'CtrK'
#define kAEBgnOfDoc		'b_Dc'
#define kAEEndOfDoc		'e_Dc'
#define kAEBgnOfPara		'b_Pr'
#define kAEEndOfPara		'e_Pr'
#define kAERoman		'Rm  '
#define kAENative		'Natv'
#define kAERoman1		'Rm1 '
#define kAERoman2		'Rm2 '
#define kAEKatakana1		'KK1 '
#define kAEKatakana		'KK2 '
#define kAEHiragana		'HG2 '
#define kAEHangul		'Hg2 '
#define kAEJamo			'Jm2 '
#define kAEBopomofo		'Bp2 '
#define kAEUppercase		'uppc'	// only kAELowercase could be found in Apples Interfaces


/*
  Event class of select event is still kAEMiscStandards. <- "Winter 1992 Apple Event Registry Errata"
*/

/*
  Dear programmers,
    
  If your scriptable application operates on text including 2-byte characters,
  I'd like to recommend you to support 'byt ', 'blen' and 'bofs' defined in this file
  to distinguish Character and Byte.
 
  Length property of String class is defined as "the number of characters in the string"
  in the AppleScript Language Guide.
  (The Scriptable Text Editor counts 'leng' and 'ofse' by Character instead of Byte too.)
*/
